Bug 1123336 - Review Request: perl-MooX-File-ConfigDir - Moo eXtension for File::ConfigDir
Summary: Review Request: perl-MooX-File-ConfigDir - Moo eXtension for File::ConfigDir
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Petr Šabata
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1122381
Blocks: 1127720
TreeView+ depends on / blocked
 
Reported: 2014-07-25 11:03 UTC by David Dick
Modified: 2014-08-16 00:29 UTC (History)
2 users (show)

Fixed In Version: perl-MooX-File-ConfigDir-0.003-1.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-16 00:29:21 UTC
psabata: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description David Dick 2014-07-25 11:03:58 UTC
Spec URL: https://ddick.fedorapeople.org/packages/perl-MooX-File-ConfigDir.spec
SRPM URL: https://ddick.fedorapeople.org/packages/perl-MooX-File-ConfigDir-0.003-1.fc20.src.rpm
Description: Moo eXtension for File::ConfigDir
Fedora Account System Username: ddick

Comment 1 Petr Šabata 2014-07-28 12:34:56 UTC
TODO: You should filter out the underspecified runtime dependencies of File::ConfigDir and Moo::Role.
TODO: No need to run-require namespace::clean.

No blockers.  I'll approve the review once File::ConfigDir is approved/available and the package builds.

Comment 2 David Dick 2014-07-29 08:07:51 UTC
Okay. Fixed and uploaded.

Comment 3 Petr Šabata 2014-07-29 14:37:08 UTC
Ok, looks good, File::ConfigDir approved, builds fine.  Approving.

Comment 4 David Dick 2014-07-29 18:59:56 UTC
Thanks Petr.

New Package SCM Request
=======================
Package Name: perl-MooX-File-ConfigDir
Short Description: Moo eXtension for File::ConfigDir
Upstream URL: http://search.cpan.org/dist/MooX-File-ConfigDir/
Owners: ddick
Branches: f20, f21, el6, epel7
InitialCC: perl-sig

Comment 5 Gwyn Ciesla 2014-07-29 19:23:34 UTC
Git done (by process-git-requests).

Comment 6 Fedora Update System 2014-08-07 08:50:29 UTC
perl-MooX-File-ConfigDir-0.003-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/perl-MooX-File-ConfigDir-0.003-1.fc20

Comment 7 Fedora Update System 2014-08-08 08:38:02 UTC
perl-MooX-File-ConfigDir-0.003-1.fc20 has been pushed to the Fedora 20 testing repository.

Comment 8 Fedora Update System 2014-08-16 00:29:21 UTC
perl-MooX-File-ConfigDir-0.003-1.fc20 has been pushed to the Fedora 20 stable repository.


Note You need to log in before you can comment on or make changes to this bug.